org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface ConnectionFactoryResourceType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ConnectionFactoryResourceType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `connection-factory-resourceType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionFactoryResourceType<T>` | `className(java.lang.String className)` Sets the `class-name` element
    `PropertyType<ConnectionFactoryResourceType<T>>` | `createProperty()` Creates a new `property` element
    `ConnectionFactoryResourceType<T>` | `description(java.lang.String description)` Sets the `description` element
    `java.util.List<PropertyType<ConnectionFactoryResourceType<T>>>` | `getAllProperty()` Returns all `property` elements
    `java.lang.String` | `getClassName()` Returns the `class-name` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.Integer` | `getMaxPoolSize()` Returns the `max-pool-size` element
    `java.lang.Integer` | `getMinPoolSize()` Returns the `min-pool-size` element
    `java.lang.String` | `getName()` Returns the `name` element
    `PropertyType<ConnectionFactoryResourceType<T>>` | `getOrCreateProperty()` If not already created, a new `property` element will be created and returned.
    `java.lang.String` | `getResourceAdapter()` Returns the `resource-adapter` element
    `TransactionSupportType` | `getTransactionSupport()` Returns the `transaction-support` element
    `java.lang.String` | `getTransactionSupportAsString()` Returns the `transaction-support` element
    `ConnectionFactoryResourceType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ConnectionFactoryResourceType<T>` | `maxPoolSize(java.lang.Integer maxPoolSize)` Sets the `max-pool-size` element
    `ConnectionFactoryResourceType<T>` | `minPoolSize(java.lang.Integer minPoolSize)` Sets the `min-pool-size` element
    `ConnectionFactoryResourceType<T>` | `name(java.lang.String name)` Sets the `name` element
    `ConnectionFactoryResourceType<T>` | `removeAllProperty()` Removes all `property` elements
    `ConnectionFactoryResourceType<T>` | `removeClassName()` Removes the `class-name` element
    `ConnectionFactoryResourceType<T>` | `removeDescription()` Removes the `description` element
    `ConnectionFactoryResourceType<T>` | `removeId()` Removes the `id` attribute
    `ConnectionFactoryResourceType<T>` | `removeMaxPoolSize()` Removes the `max-pool-size` element
    `ConnectionFactoryResourceType<T>` | `removeMinPoolSize()` Removes the `min-pool-size` element
    `ConnectionFactoryResourceType<T>` | `removeName()` Removes the `name` element
    `ConnectionFactoryResourceType<T>` | `removeResourceAdapter()` Removes the `resource-adapter` element
    `ConnectionFactoryResourceType<T>` | `removeTransactionSupport()` Removes the `transaction-support` attribute
    `ConnectionFactoryResourceType<T>` | `resourceAdapter(java.lang.String resourceAdapter)` Sets the `resource-adapter` element
    `ConnectionFactoryResourceType<T>` | `transactionSupport(java.lang.String transactionSupport)` Sets the `transaction-support` element
    `ConnectionFactoryResourceType<T>` | `transactionSupport(TransactionSupportType transactionSupport)` Sets the `transaction-support` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          ConnectionFactoryResourceType<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          ConnectionFactoryResourceType<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### name

          ConnectionFactoryResourceType<T> name(java.lang.String name)

      Sets the `name` element
      Parameters:
        `name` - the value for the element `name`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getName

          java.lang.String getName()

      Returns the `name` element
      Returns:
        the node defined for the element `name`

    - #### removeName

          ConnectionFactoryResourceType<T> removeName()

      Removes the `name` element
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### className

          ConnectionFactoryResourceType<T> className(java.lang.String className)

      Sets the `class-name` element
      Parameters:
        `className` - the value for the element `class-name`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` element
      Returns:
        the node defined for the element `class-name`

    - #### removeClassName

          ConnectionFactoryResourceType<T> removeClassName()

      Removes the `class-name` element
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### resourceAdapter

          ConnectionFactoryResourceType<T> resourceAdapter(java.lang.String resourceAdapter)

      Sets the `resource-adapter` element
      Parameters:
        `resourceAdapter` - the value for the element `resource-adapter`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getResourceAdapter

          java.lang.String getResourceAdapter()

      Returns the `resource-adapter` element
      Returns:
        the node defined for the element `resource-adapter`

    - #### removeResourceAdapter

          ConnectionFactoryResourceType<T> removeResourceAdapter()

      Removes the `resource-adapter` element
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### maxPoolSize

          ConnectionFactoryResourceType<T> maxPoolSize(java.lang.Integer maxPoolSize)

      Sets the `max-pool-size` element
      Parameters:
        `maxPoolSize` - the value for the element `max-pool-size`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getMaxPoolSize

          java.lang.Integer getMaxPoolSize()

      Returns the `max-pool-size` element
      Returns:
        the node defined for the element `max-pool-size`

    - #### removeMaxPoolSize

          ConnectionFactoryResourceType<T> removeMaxPoolSize()

      Removes the `max-pool-size` element
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### minPoolSize

          ConnectionFactoryResourceType<T> minPoolSize(java.lang.Integer minPoolSize)

      Sets the `min-pool-size` element
      Parameters:
        `minPoolSize` - the value for the element `min-pool-size`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getMinPoolSize

          java.lang.Integer getMinPoolSize()

      Returns the `min-pool-size` element
      Returns:
        the node defined for the element `min-pool-size`

    - #### removeMinPoolSize

          ConnectionFactoryResourceType<T> removeMinPoolSize()

      Removes the `min-pool-size` element
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### transactionSupport

          ConnectionFactoryResourceType<T> transactionSupport(TransactionSupportType transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### transactionSupport

          ConnectionFactoryResourceType<T> transactionSupport(java.lang.String transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getTransactionSupport

          TransactionSupportType getTransactionSupport()

      Returns the `transaction-support` element
      Returns:
        the value found for the element `transaction-support`

    - #### getTransactionSupportAsString

          java.lang.String getTransactionSupportAsString()

      Returns the `transaction-support` element
      Returns:
        the value found for the element `transaction-support`

    - #### removeTransactionSupport

          ConnectionFactoryResourceType<T> removeTransactionSupport()

      Removes the `transaction-support` attribute
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getOrCreateProperty

          PropertyType<ConnectionFactoryResourceType<T>> getOrCreateProperty()

      If not already created, a new `property` element will be created and returned. Otherwise, the first existing `property` element will be returned.
      Returns:
        the instance defined for the element `property`

    - #### createProperty

          PropertyType<ConnectionFactoryResourceType<T>> createProperty()

      Creates a new `property` element
      Returns:
        the new created instance of `PropertyType>`

    - #### getAllProperty

          java.util.List<PropertyType<ConnectionFactoryResourceType<T>>> getAllProperty()

      Returns all `property` elements
      Returns:
        list of `property`

    - #### removeAllProperty

          ConnectionFactoryResourceType<T> removeAllProperty()

      Removes all `property` elements
      Returns:
        the current instance of `PropertyType>`

    - #### id

          ConnectionFactoryResourceType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ConnectionFactoryResourceType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ConnectionFactoryResourceType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ConnectionFactoryResourceType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)